﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1.Model.Request
{
    class MediaUpload : OperationRequestBase<MediaUploadResult, HttpPostFileRequest>
    {
        private string url = "https://qyapi.weixin.qq.com/cgi-bin/media/upload?access_token=ACCESS_TOKEN&type={0}";
        protected override string Url()
        {
            return string.Format(url, type);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        [IsNotNull]
        public string type { get; set; }

           
        /// <summary>
        /// 文件地址
        /// </summary>
        /// <returns></returns>
        public string filePath { get; set; }

        protected override string HttpSend(IHttpSend httpSend,string url)
        {
            return httpSend.Send(url, filePath);
        }
    }
}
